Name:          p11-kit
Version:       0.23.1
Release:       1mamba
Summary:       Provides a way to load and enumerate PKCS#11 modules
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://p11-glue.freedesktop.org/p11-kit.html
Source:        http://p11-glue.freedesktop.org/releases/p11-kit-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libtasn1-devel
## AUTOBUILDREQ-END
Requires(post): lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
p11-kit provides a way to load and enumerate PKCS#11 modules. Provides a standard configuration setup for installing PKCS#11 modules in such a way that they're discoverable.
Also solves problems with coordinating the use of PKCS#11 by different components or libraries living in the same process.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
p11-kit provides a way to load and enumerate PKCS#11 modules. Provides a standard configuration setup for installing PKCS#11 modules in such a way that they're discoverable.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Headers and library files for development
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      p11-kit-devel
Obsoletes:     p11-kit-devel

%description -n lib%{name}-devel
p11-kit provides a way to load and enumerate PKCS#11 modules. Provides a standard configuration setup for installing PKCS#11 modules in such a way that they're discoverable.
Also solves problems with coordinating the use of PKCS#11 by different components or libraries living in the same process.
This package contains headers and library files for development.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%post -n lib%{name}
/sbin/ldconfig
:

%postun -n lib%{name}
/sbin/ldconfig
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/pkcs11
%{_sysconfdir}/pkcs11/pkcs11.conf.example
%{_bindir}/trust
%{_bindir}/p11-kit
%dir %{_datadir}/p11-kit
%dir %{_datadir}/p11-kit/modules
%{_datadir}/p11-kit/modules/p11-kit-trust.module

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libp11-kit.so.*
%dir %{_libdir}/pkcs11
%{_libdir}/pkcs11/p11-kit-trust.la
%{_libdir}/pkcs11/p11-kit-trust.so
%dir %{_libdir}/p11-kit
%{_libdir}/p11-kit/p11-kit-remote
%{_libdir}/p11-kit/p11-kit-remote
%{_libdir}/p11-kit/trust-extract-compat
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/p11-kit-1
%dir %{_includedir}/p11-kit-1/p11-kit
%{_includedir}/p11-kit-1/p11-kit/*.h
%{_libdir}/libp11-kit.la
%{_libdir}/libp11-kit.so
%{_libdir}/p11-kit-proxy.so
%{_libdir}/pkgconfig/p11-kit-1.pc
%doc ChangeLog NEWS README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/%{name}/*

%changelog
* Tue Mar 31 2015 Automatic Build System <autodist@mambasoft.it> 0.23.1-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 0.22.1-1mamba
- automatic version update by autodist

* Sun Sep 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.7-1mamba
- update to 0.20.7

* Sat Apr 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.2-3mamba
- llibp11-kit-devel: fix typo in provide/obsolete for p11-kit-devel

* Fri Apr 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.2-2mamba
- move library files to libp11-kit, rename p11-kit-devel to libp11-kit-devel

* Sat Feb 15 2014 Automatic Build System <autodist@mambasoft.it> 0.20.2-1mamba
- automatic version update by autodist

* Mon Oct 07 2013 Automatic Build System <autodist@mambasoft.it> 0.20.1-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Automatic Build System <autodist@mambasoft.it> 0.20.0-1mamba
- automatic update by autodist

* Tue Aug 13 2013 Automatic Build System <autodist@mambasoft.it> 0.19.3-1mamba
- automatic update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 0.19.1-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 0.18.2-1mamba
- automatic version update by autodist

* Tue Apr 23 2013 Automatic Build System <autodist@mambasoft.it> 0.18.1-1mamba
- automatic version update by autodist

* Thu Apr 11 2013 Automatic Build System <autodist@mambasoft.it> 0.18.0-1mamba
- automatic version update by autodist

* Tue Apr 02 2013 Automatic Build System <autodist@mambasoft.it> 0.17.5-1mamba
- automatic version update by autodist

* Thu Mar 21 2013 Automatic Build System <autodist@mambasoft.it> 0.17.4-1mamba
- automatic version update by autodist

* Mon Mar 11 2013 Automatic Build System <autodist@mambasoft.it> 0.16.3-1mamba
- automatic version update by autodist

* Sun Feb 24 2013 Automatic Build System <autodist@mambasoft.it> 0.15.2-1mamba
- automatic version update by autodist

* Sat Sep 15 2012 Automatic Build System <autodist@mambasoft.it> 0.14-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 0.13-1mamba
- automatic version update by autodist

* Tue Apr 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12-1mamba
- update to 0.12

* Sun Oct 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7-1mamba
- package created by autospec
